polybori::groebner::LessWeightedLengthInStrat Class Reference

This class defines LessWeightedLengthInStrat. More...

`#include <LessWeightedLengthInStrat.h>`

## Public Member Functions

| LessWeightedLengthInStrat (const ReductionStrategy &strat)
bool | operator() (const Monomial &a, const Monomial &b)
bool | operator() (const Exponent &a, const Exponent &b)

## Public Attributes

const ReductionStrategy * | strat

## Detailed Description

This class defines LessWeightedLengthInStrat.

## Constructor & Destructor Documentation

polybori::groebner::LessWeightedLengthInStrat::LessWeightedLengthInStrat | ( | const ReductionStrategy & | strat | ) |

inline

## Member Function Documentation

bool polybori::groebner::LessWeightedLengthInStrat::operator() | ( | const Monomial & | a,
|  | const Monomial & | b
| ) |  |

inline

bool polybori::groebner::LessWeightedLengthInStrat::operator() | ( | const Exponent & | a,
|  | const Exponent & | b
| ) |  |

inline

## Member Data Documentation

const ReductionStrategy* polybori::groebner::LessWeightedLengthInStrat::strat

The documentation for this class was generated from the following file:

- LessWeightedLengthInStrat.h